Name:           glib-java
Version:        0.4.2
Release:        %mkrel 6
Epoch:          0
Summary:        Base Library for the Java-GNOME libraries 
URL:            http://java-gnome.sourceforge.net
Source0:        http://fr2.rpmfind.net/linux/gnome.org/sources/glib-java/0.4/glib-java-%{version}.tar.bz2
License:        LGPL
Group:          System/Libraries
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  docbook-utils
BuildRequires:  glib2-devel >= 0:2.12.4
BuildRequires:  java-devel >= 0:1.4.2
BuildRequires:  java-gcj-compat-devel
BuildRequires:  java-rpmbuild
BuildRequires:  pkgconfig

%description 
Glib-java is a base framework for the Java-GNOME libraries. Allowing the use of
GNOME through Java.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Java
Requires:       %{name} = %{version}-%{release}
Conflicts:      glib-java < 0.4.2-3

%description    devel
Development files for %{name}.

%prep
%setup -q
%{__aclocal} -I macros --force
%{__autoconf} --force
%{__automake} --copy --force-missing
%{__libtoolize} --copy --force

%build
export CLASSPATH=
export JAVA=%{java}
export JAVAC=%{javac}
export JAR=%{jar}
export JAVADOC=%{javadoc}
export GCJ=%{gcj}
export CPPFLAGS="-I%{java_home}/include -I%{java_home}/include/linux"
%configure2_5x --with-jardir=%{_javadir}
%make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
zip -9 -r $zipfile $(find -name \*.java)
popd

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# install the src.zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
install -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_javadir}/
pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd

rm -r %{buildroot}%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig 
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README 
%{_libdir}/libglibjava-*.so
%{_libdir}/libglibjni-*.so
%{_javadir}/*.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files devel
%defattr(-,root,root)
%doc doc/api
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.la
%{_libdir}/libglibjava.so
%{_libdir}/libglibjni.so
%{_libdir}/pkgconfig/*.pc
%{_javadir}/*.zip


%changelog
* Tue Jul 22 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:0.4.2-6mdv2009.0
+ Revision: 240765
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sun Jul 01 2007 Anssi Hannula <anssi@mandriva.org> 0:0.4.2-3mdv2008.0
+ Revision: 46715
- use headers from java-gcj-compat instead of default gcc-java

* Sun Jul 01 2007 Anssi Hannula <anssi@mandriva.org> 0:0.4.2-2mdv2008.0
+ Revision: 46521
- use %%gcj
- move pkgconfig, .so, .la, headers to the -devel package
- fix group


* Sun Jan 07 2007 David Walluck <walluck@mandriva.org> 0.4.2-1mdv2007.0
+ Revision: 105151
- 0.4.2

* Wed Dec 13 2006 David Walluck <walluck@mandriva.org> 0:0.4.1-1mdv2007.1
+ Revision: 96085
- 0.4.1

* Sat Nov 04 2006 David Walluck <walluck@mandriva.org> 0:0.4.0-1mdv2007.1
+ Revision: 76475
- 0.4.0

* Thu Oct 19 2006 David Walluck <walluck@mandriva.org> 0:0.3.2-2mdv2007.0
+ Revision: 66113
- spec cleanup
- 0.3.2
- Import glib-java

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:0.2.6-2mdv2007.0
- fix libtool

* Tue Aug 08 2006 David Walluck <walluck@mandriva.org> 0:0.2.6-1mdv2007.0
- 0.2.6

* Mon Jun 05 2006 David Walluck <walluck@mandriva.org> 0:0.2.5-1mdv2007.0
- 0.2.5

* Fri May 26 2006 David Walluck <walluck@mandriva.org> 0:0.2.4-2mdv2007.0
- rebuild for libgcj.so.7
- %%configure2_5x

* Wed Apr 19 2006 David Walluck <walluck@mandriva.org> 0:0.2.4-1mdk
- 0.2.4
- set empty CLASSPATH

* Wed Feb 08 2006 David Walluck <walluck@mandriva.org> 0:0.2.3-1mdk
- 0.2.3

* Mon Jan 16 2006 David Walluck <walluck@mandriva.org> 0:0.2.2-2mdk
- explicity require java-gcj-compat-devel as workaround
- export vars before %%configure

* Wed Jan 11 2006 David Walluck <walluck@mandriva.org> 0:0.2.2-1mdk
- 0.2.2

* Sat Oct 29 2005 David Walluck <walluck@mandriva.org> 0.2.1-1mdk
- 0.2.1

* Sun Oct 23 2005 David Walluck <walluck@mandriva.org> 0.2.0-2mdk
- fix comment

* Sun Oct 23 2005 David Walluck <walluck@mandriva.org> 0.2.0-1mdk
- release

